package de.tudarmstadt.informatik.hostage.ui2.fragment;

import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.ContextThemeWrapper;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

import de.tudarmstadt.informatik.hostage.R;

/**
 * Created by Fabio Arnold on 03.03.14.
 */
public class ConnectionInfoDialogFragment extends DialogFragment {
	public Dialog onCreateDialog(Bundle savedInstance) {
		SharedPreferences sharedPreferences = getActivity().getSharedPreferences(getString(R.string.connection_info), Context.MODE_PRIVATE);
		String ssid = sharedPreferences.getString(getString(R.string.connection_info_ssid), "");
		String bssid = sharedPreferences.getString(getString(R.string.connection_info_bssid), "");
		String internalIP = sharedPreferences.getString(getString(R.string.connection_info_internal_ip), "");
		String externalIP = sharedPreferences.getString(getString(R.string.connection_info_external_ip), "");

		Context context = new ContextThemeWrapper(getActivity(), android.R.style.Theme_Holo);
		LayoutInflater localInflater = getActivity().getLayoutInflater().cloneInContext(context);

		AlertDialog.Builder builder = new AlertDialog.Builder(getActivity(), AlertDialog.THEME_HOLO_DARK);
		View view = localInflater.inflate(R.layout.fragment_connectioninfo_dialog, null);

		((TextView)view.findViewById(R.id.connectioninfo_ssid_value)).setText(ssid);
		((TextView)view.findViewById(R.id.connectioninfo_bssid_value)).setText(bssid);
		((TextView)view.findViewById(R.id.connectioninfo_internalip_value)).setText(internalIP);
		((TextView)view.findViewById(R.id.connectioninfo_externalip_value)).setText(externalIP);
		builder.setView(view);
		builder.setTitle(R.string.title_connection_info);
		builder.setPositiveButton(R.string.show_records, null);
		builder.setNegativeButton(R.string.close, null);
		return builder.create();
	}
}
